Index: tmp/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/WordAnnotationToolbar.java
===================================================================
--- tmp/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/WordAnnotationToolbar.java	(revision 1609)
+++ tmp/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/WordAnnotationToolbar.java	(revision 1610)
@@ -159,7 +159,7 @@
 
 	protected void affectAnnotationValues(final List<Match> matches,  final AnnotationType type, final String svalue, JobHandler job) {
 		value_to_add = null; // reset
-		if (matches.size() == 0) {
+		if (matches == null || matches.size() == 0) {
 			System.out.println("No line selected. Aborting."); //$NON-NLS-1$
 			return;
 		}
@@ -204,7 +204,7 @@
 			return;
 		}
 
-		Log.info(NLS.bind(KRAnnotationUIMessages.AffectP0ToSelectionEqualsP1, value_to_add, matches));
+		Log.info(NLS.bind(KRAnnotationUIMessages.AffectP0ToSelectionEqualsP1, value_to_add, matches.size()));
 		
 		// finally we can 'try' to create the annotations \o/
 		try {
Index: tmp/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/SimpleKRAnnotation.java
===================================================================
--- tmp/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/SimpleKRAnnotation.java	(revision 1609)
+++ tmp/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/SimpleKRAnnotation.java	(revision 1610)
@@ -497,7 +497,7 @@
 
 	protected void affectAnnotationValues(final List<Match> matches,  final AnnotationType type, final String svalue, JobHandler job) {
 		value_to_add = null; // reset
-		if (matches.size() == 0) {
+		if (matches == null || matches.size() == 0) {
 			System.out.println("No line selected. Aborting."); //$NON-NLS-1$
 			return;
 		}
@@ -563,7 +563,7 @@
 			return;
 		}
 
-		Log.info(NLS.bind(KRAnnotationUIMessages.AffectP0ToSelectionEqualsP1, value_to_add, matches));
+		Log.info(NLS.bind(KRAnnotationUIMessages.AffectP0ToSelectionEqualsP1, value_to_add, matches.size()));
 
 		// finally we can 'try' to create the annotations \o/
 		try {
Index: tmp/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/SaveAnnotations.java
===================================================================
--- tmp/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/SaveAnnotations.java	(revision 1609)
+++ tmp/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/SaveAnnotations.java	(revision 1610)
@@ -93,9 +93,9 @@
 					monitor.worked(30);
 
 					if (rez) {
-						System.out.println("Annotations are saved in XML-TXM files. Updating corpus indexes and editions");
+						Log.fine("Annotations are saved in XML-TXM files. Updating corpus indexes and editions");
 					} else {
-						System.out.println("Error while saving annotations (see logs above).");
+						Log.severe("** Error while saving annotations (see logs above).");
 					}
 
 				} catch(Exception e) {
Index: tmp/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/RecodeCorpus.java
===================================================================
--- tmp/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/RecodeCorpus.java	(revision 1609)
+++ tmp/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/RecodeCorpus.java	(revision 1610)
@@ -17,11 +17,13 @@
 import org.eclipse.core.runtime.Status;
 import org.eclipse.jface.viewers.ISelection;
 import org.eclipse.jface.viewers.IStructuredSelection;
+import org.eclipse.osgi.util.NLS;
 import org.eclipse.swt.widgets.Display;
 import org.eclipse.ui.handlers.HandlerUtil;
 import org.kohsuke.args4j.Option;
 import org.txm.Toolbox;
 import org.txm.annotation.kr.core.conversion.CorpusRuledConvertion;
+import org.txm.annotation.kr.rcp.messages.KRAnnotationUIMessages;
 import org.txm.core.preferences.TBXPreferences;
 import org.txm.objects.Project;
 import org.txm.rcp.commands.CloseEditorsUsing;
@@ -119,7 +121,7 @@
 //		monitor.setTaskName("Updating corpus");
 //		File scriptDir = new File(txmhome, "scripts/groovy/user/org/txm/scripts/importer/xtz");
 //		File script = new File(scriptDir, "xtzLoader.groovy");
-		System.out.println("Updating corpus "+corpus+" using "+project);
+		System.out.println(NLS.bind(KRAnnotationUIMessages.updatingTheP0Corpus, corpus));
 		JobHandler ret = ExecuteImportScript.executeScript(project);
 		Display.getDefault().syncExec(new Runnable() {
 			@Override
Index: tmp/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/messages/KRAnnotationUIMessages.java
===================================================================
--- tmp/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/messages/KRAnnotationUIMessages.java	(revision 1609)
+++ tmp/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/messages/KRAnnotationUIMessages.java	(revision 1610)
@@ -71,5 +71,7 @@
 	public static String all; 
 	public static String nouvelleProprit; 
 	public static String nomDeLaPropritPatternEqualsazaz09Plus; 
-	public static String property; 
+	public static String property;
+
+	public static String updatingTheP0Corpus; 
 }
Index: tmp/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/messages/messages.properties
===================================================================
--- tmp/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/messages/messages.properties	(revision 1609)
+++ tmp/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/messages/messages.properties	(revision 1610)
@@ -3,7 +3,7 @@
 aboutAnnotations=About annotations
 addANewCategory=Add a new category
 affect=Affect
-AffectP0ToSelectionEqualsP1=Affect {0} to selection {1}
+AffectP0ToSelectionEqualsP1=Affect {0} to selection ({1}).
 all=All
 allLines=all lines
 annotatingConcordanceSelection=Annotating concordance selection…
@@ -27,7 +27,7 @@
 lookingForTypedValueWithIdEqualsP0=Looking for TypedValue with id\={0}
 motsPropritsInfDfaut=Words (property) <- defaut
 newCategory=New category
-newValueP0ForCategoryP1=New value ‘'{0}' for category {1}  
+newValueP0ForCategoryP1=New value ''{0}'' for category ''{1}''.
 nomDeLaPropritPatternEqualsazaz09Plus=Property name pattern\: [a-z][-a-z0-9]+
 nouvelleProprit=New property
 noValueFoundWithTheP0Id=No value found with the {0} identifier.
@@ -48,3 +48,4 @@
 valueEquals=value\=
 withTheCategory=with the category
 youAreAboutToAnnotateP0ElementsContinue=You are about to annotate {0} elements. Continue ?
+updatingTheP0Corpus=Updating the {0} corpus...
\ No newline at end of file
Index: tmp/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/messages/messages_fr.properties
===================================================================
--- tmp/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/messages/messages_fr.properties	(revision 1609)
+++ tmp/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/messages/messages_fr.properties	(revision 1610)
@@ -3,7 +3,7 @@
 aboutAnnotations=À propos des annotations
 addANewCategory=Ajouter une nouvelle catégorie
 affect=Affecter
-AffectP0ToSelectionEqualsP1=Affecter {0} à la sélection {1}
+AffectP0ToSelectionEqualsP1=Affecter {0} à la sélection ({1}).
 all=Tous
 allLines=toutes les lignes
 annotatingConcordanceSelection=Annotation de la sélection de la concordance...
@@ -48,3 +48,4 @@
 valueEquals=value\=
 withTheCategory=avec la catégorie
 youAreAboutToAnnotateP0ElementsContinue=Vous êtes sur le point d''annoter {0} éléments. Continuer ?
+updatingTheP0Corpus=Mise à jour du corpus {0}...
\ No newline at end of file
Index: tmp/org.txm.annotation.kr.rcp/.settings/org.eclipse.core.resources.prefs
===================================================================
--- tmp/org.txm.annotation.kr.rcp/.settings/org.eclipse.core.resources.prefs	(revision 1609)
+++ tmp/org.txm.annotation.kr.rcp/.settings/org.eclipse.core.resources.prefs	(revision 1610)
@@ -1,2 +1,3 @@
 eclipse.preferences.version=1
+encoding//src/org/txm/annotation/kr/rcp/messages/messages.properties=UTF-8
 encoding//src/org/txm/annotation/kr/rcp/messages/messages_fr.properties=UTF-8
Index: tmp/org.txm.rcp.feature/feature.xml
===================================================================
--- tmp/org.txm.rcp.feature/feature.xml	(revision 1609)
+++ tmp/org.txm.rcp.feature/feature.xml	(revision 1610)
@@ -6,8 +6,8 @@
       provider-name="Textometrie.org"
       plugin="org.txm.rcp">
 
-   <description url="http://www.example.com/description">
-      &lt;h3&gt;TXM 0.8.0 update&lt;/h3&gt;
+   <description url="http://textometrie.ens-lyon.fr/files/software/TXM/0.8.0">
+      %description
    </description>
 
    <copyright url="http://www.example.com/copyright">
@@ -164,19 +164,23 @@
 
    <includes
          id="org.txm.index.feature"
-         version="0.0.0"/>
+         version="0.0.0"
+         optional="true"/>
 
    <includes
          id="org.txm.concordance.feature"
-         version="0.0.0"/>
+         version="0.0.0"
+         optional="true"/>
 
    <includes
          id="org.txm.cooccurrence.feature"
-         version="0.0.0"/>
+         version="0.0.0"
+         optional="true"/>
 
    <includes
          id="org.txm.ahc.feature"
-         version="0.0.0"/>
+         version="0.0.0"
+         optional="true"/>
 
    <requires>
       <import plugin="org.eclipse.core.runtime" version="3.10.0" match="greaterOrEqual"/>
@@ -219,6 +223,8 @@
       <import plugin="org.eclipse.ui.themes" version="1.2.1" match="greaterOrEqual"/>
       <import plugin="org.txm.annotation.core" version="1.0.0" match="greaterOrEqual"/>
       <import plugin="org.eclipse.ui.views" version="3.9.0" match="greaterOrEqual"/>
+      <import plugin="org.txm.groovy.core"/>
+      <import plugin="org.txm.treetagger.core"/>
       <import plugin="org.eclipse.osgi.util" version="3.3.0" match="greaterOrEqual"/>
       <import plugin="org.eclipse.core.net" version="1.2.200" match="greaterOrEqual"/>
       <import plugin="org.eclipse.core.runtime" version="3.6.0" match="compatible"/>
@@ -252,15 +258,16 @@
       <import plugin="org.eclipse.core.runtime" version="3.8.0" match="greaterOrEqual"/>
       <import plugin="org.txm.chartsengine.rcp" version="1.0.0" match="greaterOrEqual"/>
       <import plugin="org.txm.chartsengine.core" version="1.0.0" match="greaterOrEqual"/>
-      <import plugin="org.txm.groovy.core"/>
-      <import plugin="org.txm.treetagger.core"/>
-      <import plugin="org.txm.treetagger.rcp"/>
       <import plugin="javax.persistence" version="2.1.0" match="greaterOrEqual"/>
       <import plugin="org.eclipse.persistence.jpa" version="2.6.0" match="greaterOrEqual"/>
       <import plugin="org.eclipse.persistence.jpa.jpql" version="2.6.0" match="greaterOrEqual"/>
       <import plugin="org.txm.annotation.kr.core" version="1.0.0" match="greaterOrEqual"/>
       <import plugin="org.txm.annotation.rcp" version="1.0.0" match="greaterOrEqual"/>
       <import plugin="org.txm.concordance.rcp" version="1.0.0" match="greaterOrEqual"/>
+      <import plugin="org.txm.libs.hsqldb" version="1.0.0" match="greaterOrEqual"/>
+      <import plugin="org.eclipse.equinox.p2.discovery.compatibility" version="1.0.201" match="greaterOrEqual"/>
+      <import plugin="org.eclipse.e4.ui.workbench.renderers.swt"/>
+      <import plugin="org.txm.edition.rcp" version="1.0.0" match="greaterOrEqual"/>
    </requires>
 
    <plugin
Index: tmp/org.txm.rcp.feature/feature_fr.properties
===================================================================
--- tmp/org.txm.rcp.feature/feature_fr.properties	(revision 0)
+++ tmp/org.txm.rcp.feature/feature_fr.properties	(revision 1610)
@@ -0,0 +1,2 @@
+description = \
+TXM 0.8.0 - commandes principales
\ No newline at end of file

Property changes on: tmp/org.txm.rcp.feature/feature_fr.properties
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.rcp.feature/feature.properties
===================================================================
--- tmp/org.txm.rcp.feature/feature.properties	(revision 0)
+++ tmp/org.txm.rcp.feature/feature.properties	(revision 1610)
@@ -0,0 +1,2 @@
+description = \
+TXM 0.8.0 - main commands
\ No newline at end of file

Property changes on: tmp/org.txm.rcp.feature/feature.properties
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.groovy.core/src/java/org/txm/groovy/core/GroovyScriptedImportEngine.java
===================================================================
--- tmp/org.txm.groovy.core/src/java/org/txm/groovy/core/GroovyScriptedImportEngine.java	(revision 1609)
+++ tmp/org.txm.groovy.core/src/java/org/txm/groovy/core/GroovyScriptedImportEngine.java	(revision 1610)
@@ -121,7 +121,7 @@
 			}
 
 			ExecTimer.start();
-			Log.info(NLS.bind(GroovyMessages.startingTheP0GroovyImportScript, mainScript.getAbsolutePath())); //$NON-NLS-1$
+			Log.info(NLS.bind(GroovyMessages.startingTheP0GroovyImportScript, mainScript.getName())); //$NON-NLS-1$
 			gse.run(mainScript.toURI().toURL().toString(), binding); // run the groovy import script
 			Log.fine("\nEnd of Groovy import script: " + ExecTimer.stop()); //$NON-NLS-1$
 			monitor.worked(90);
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xtz/XTZImporter.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xtz/XTZImporter.groovy	(revision 1609)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xtz/XTZImporter.groovy	(revision 1610)
@@ -110,13 +110,13 @@
 				return;
 			}
 			metadata = new Metadatas(copy,
-			Toolbox.getPreference(TBXPreferences.METADATA_ENCODING),
-			Toolbox.getPreference(TBXPreferences.METADATA_COLSEPARATOR),
-			Toolbox.getPreference(TBXPreferences.METADATA_TXTSEPARATOR), 1)
+					Toolbox.getPreference(TBXPreferences.METADATA_ENCODING),
+					Toolbox.getPreference(TBXPreferences.METADATA_COLSEPARATOR),
+					Toolbox.getPreference(TBXPreferences.METADATA_TXTSEPARATOR), 1)
 		}
 
 		String cleanDirectories = project.getCleanAfterBuild();
-		
+
 		if (!doFixSurrogates()) return;
 		if (!doSplitMergeXSLStep()) return;
 		if (!doFrontXSLStep()) return;
@@ -246,7 +246,7 @@
 		//filesToProcess = inputDirectory.listFiles();
 
 		File frontXSLdirectory = new File(module.getSourceDirectory(), "xsl/2-front")
-		println "-- Front XSL Step with $frontXSLdirectory"
+		println "-- Front XSL Step with the $frontXSLdirectory directory."
 		def xslFiles = frontXSLdirectory.listFiles()
 		if (frontXSLdirectory.exists() && xslFiles != null && xslFiles.size() > 0) {
 
@@ -271,7 +271,7 @@
 
 	public boolean doCheckXMLFileStep() {
 		filesToProcess = []
-		println "-- Check XML files for well-formedness."
+		println "-- Checking XML files for well-formedness."
 		def files = inputDirectory.listFiles()
 
 		if (files == null || files.size() == 0) {
@@ -308,7 +308,6 @@
 
 	public boolean doTokenizeStep() {
 
-		println "-- Tokenizing "+filesToProcess.size()+" files"
 		new File(module.getBinaryDirectory(),"tokenized").mkdir()
 
 		String outSideTextTagsRegex = "";
@@ -316,32 +315,32 @@
 		String noteRegex = "";
 		// get the element names to ignore
 
-			String e1 = module.getProject().getTextualPlan("OutSideTextTags")
-			def split  = e1.split(",")
-			for (String s : split) {
-				outSideTextTagsRegex += "|"+s.trim()
-			}
-			if (outSideTextTagsRegex.trim().length() > 0) {
-				outSideTextTagsRegex = outSideTextTagsRegex.substring(1) // remove the first "|"
-			}
+		String e1 = module.getProject().getTextualPlan("OutSideTextTags")
+		def split  = e1.split(",")
+		for (String s : split) {
+			outSideTextTagsRegex += "|"+s.trim()
+		}
+		if (outSideTextTagsRegex.trim().length() > 0) {
+			outSideTextTagsRegex = outSideTextTagsRegex.substring(1) // remove the first "|"
+		}
 
-			String e2 = module.getProject().getTextualPlan("OutSideTextTagsAndKeepContent")
-			def split2  = e2.split(",")
-			for (String s : split2) {
-				outSideTextTagsAndKeepContentRegex += "|"+s.trim()
-			}
-			if (outSideTextTagsAndKeepContentRegex.trim().length() > 0) {
-				outSideTextTagsAndKeepContentRegex = outSideTextTagsAndKeepContentRegex.substring(1) // remove the first "|"
-			}
+		String e2 = module.getProject().getTextualPlan("OutSideTextTagsAndKeepContent")
+		def split2  = e2.split(",")
+		for (String s : split2) {
+			outSideTextTagsAndKeepContentRegex += "|"+s.trim()
+		}
+		if (outSideTextTagsAndKeepContentRegex.trim().length() > 0) {
+			outSideTextTagsAndKeepContentRegex = outSideTextTagsAndKeepContentRegex.substring(1) // remove the first "|"
+		}
 
-			String e3 = module.getProject().getTextualPlan("Note")
-			def split3  = e3.split(",")
-			for (String s : split3) {
-				noteRegex += "|"+s.trim()
-			}
-			if (noteRegex.trim().length() > 0) {
-				noteRegex = noteRegex.substring(1) // remove the first "|"
-			}
+		String e3 = module.getProject().getTextualPlan("Note")
+		def split3  = e3.split(",")
+		for (String s : split3) {
+			noteRegex += "|"+s.trim()
+		}
+		if (noteRegex.trim().length() > 0) {
+			noteRegex = noteRegex.substring(1) // remove the first "|"
+		}
 
 		//if (wordTag != "w") {
 		if (doTokenizeStep) {
@@ -353,6 +352,7 @@
 			}
 			return true;
 		} else {
+			println "-- Tokenizing "+filesToProcess.size()+" files"
 			ConsoleProgressBar cpb = new ConsoleProgressBar(filesToProcess.size())
 			for (File f : filesToProcess) {
 				cpb.tick()
Index: tmp/org.txm.ahc.feature/feature.xml
===================================================================
--- tmp/org.txm.ahc.feature/feature.xml	(revision 1609)
+++ tmp/org.txm.ahc.feature/feature.xml	(revision 1610)
@@ -5,10 +5,10 @@
       version="1.0.0.qualifier"
       provider-name="Textometrie.org"
       license-feature="org.txm.rcp.feature"
-      license-feature-version="1.0.0.qualifier">
+      license-feature-version="0.8.0.qualifier">
 
    <description url="http://www.example.com/description">
-      [Enter Feature Description here.]
+      AHC command plugins
    </description>
 
    <copyright url="http://www.example.com/copyright">
Index: tmp/org.txm.annotation.kr.core/.settings/org.eclipse.core.resources.prefs
===================================================================
--- tmp/org.txm.annotation.kr.core/.settings/org.eclipse.core.resources.prefs	(revision 0)
+++ tmp/org.txm.annotation.kr.core/.settings/org.eclipse.core.resources.prefs	(revision 1610)
@@ -0,0 +1,3 @@
+eclipse.preferences.version=1
+encoding//src/org/txm/annotation/kr/core/messages/messages.properties=UTF-8
+encoding//src/org/txm/annotation/kr/core/messages/messages_fr.properties=UTF-8

Property changes on: tmp/org.txm.annotation.kr.core/.settings/org.eclipse.core.resources.prefs
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationManager.java
===================================================================
--- tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationManager.java	(revision 1609)
+++ tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationManager.java	(revision 1610)
@@ -7,6 +7,8 @@
 import java.util.List;
 
 import org.eclipse.core.runtime.IProgressMonitor;
+import org.eclipse.osgi.util.NLS;
+import org.txm.annotation.kr.core.messages.KRAnnotationCoreMessages;
 import org.txm.annotation.kr.core.repository.AnnotationEffect;
 import org.txm.annotation.kr.core.repository.AnnotationType;
 import org.txm.annotation.kr.core.repository.TypedValue;
@@ -53,13 +55,13 @@
 		}
 		
 		if (monitor != null) {
-			monitor.beginTask("Saving annotations", annots.size());
+			monitor.beginTask(KRAnnotationCoreMessages.savingAnnotations, annots.size());
 			monitor.setTaskName("writing annotations in XML-TXM files");
 		}
 
 		AnnotationWriter writer = new AnnotationWriter(corpus);
 		if (writer.writeAnnotations(annots, monitor)) {
-			Log.info("Annotations succesfully written. Deleting temporary annotations...");
+			Log.info(KRAnnotationCoreMessages.annotationSuccesfullyWritten);
 			tempManager.deleteAnnotations();
 			dirty = false;
 			return true;
@@ -71,7 +73,7 @@
 		AnnotationWriter writer = new AnnotationWriter(corpus);
 		
 		if (writer.writeAnnotationsInStandoff(resultZipFile)) {
-			Log.info("Annotations succesfully written in "+resultZipFile);
+			Log.info(NLS.bind(KRAnnotationCoreMessages.annotationSuccesfullyWrittenIntheP0File, resultZipFile));
 			return true;
 		}
 		return false;
Index: tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationWriter.java
===================================================================
--- tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationWriter.java	(revision 1609)
+++ tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationWriter.java	(revision 1610)
@@ -15,6 +15,7 @@
 import org.eclipse.osgi.util.NLS;
 import org.osgi.service.prefs.BackingStoreException;
 import org.txm.Toolbox;
+import org.txm.annotation.kr.core.messages.KRAnnotationCoreMessages;
 import org.txm.annotation.kr.core.repository.AnnotationEffect;
 import org.txm.annotation.kr.core.repository.AnnotationType;
 import org.txm.annotation.kr.core.repository.KnowledgeRepository;
@@ -140,7 +141,7 @@
 	 */
 	public boolean writeAnnotations(List<Annotation> allCorpusAnnotations, IProgressMonitor monitor) throws IOException, CqiServerError, CqiClientException, InvalidCqpIdException, XMLStreamException, BackingStoreException{
 		//MainCorpus corpus = CorpusManager.getCorpusManager().getCorpus(c.getName());
-		Log.info(NLS.bind("Saving {0} annotations...", allCorpusAnnotations.size()));
+		Log.info(NLS.bind(KRAnnotationCoreMessages.savingP0Annotations, allCorpusAnnotations.size()));
 
 		int[] end_limits = corpus.getTextEndLimits();
 		int[] start_limits = corpus.getTextStartLimits();
@@ -240,9 +241,9 @@
 	
 	protected boolean writeAnnotationsInFile(File xmlFile, int text_start_position, 
 			ArrayList<Annotation> segmentAnnotations, ArrayList<Annotation> tokenAnnotations, File tmpXMLTXMDirectory, File previousXMLTXMDirectory) throws CqiClientException, IOException, CqiServerError, InvalidCqpIdException, XMLStreamException{
-		System.out.println("Writing annotations for text "+xmlFile+" segment annotations="+segmentAnnotations.size()+" token annotations="+tokenAnnotations.size());
-		System.out.println(segmentAnnotations);
-		System.out.println(tokenAnnotations);
+		Log.info("Writing annotations for text "+xmlFile+" segment annotations="+segmentAnnotations.size()+" token annotations="+tokenAnnotations.size());
+		//System.out.println(segmentAnnotations);
+		//System.out.println(tokenAnnotations);
 
 		boolean show_debug = Log.getLevel().intValue() < Level.INFO.intValue();
 		AnnotationInjector annotationInjector = new AnnotationInjector(xmlFile, segmentAnnotations, tokenAnnotations, text_start_position, show_debug);
Index: tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/messages/KRAnnotationCoreMessages.java
===================================================================
--- tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/messages/KRAnnotationCoreMessages.java	(revision 0)
+++ tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/messages/KRAnnotationCoreMessages.java	(revision 1610)
@@ -0,0 +1,35 @@
+package org.txm.annotation.kr.core.messages;
+
+import org.eclipse.osgi.util.NLS;
+import org.txm.utils.messages.Utf8NLS;
+
+
+/**
+ * KR annotation UI messages.
+ * 
+ * @author mdecorde
+ * @author sjacquot
+ *
+ */
+public class KRAnnotationCoreMessages extends NLS {
+
+	private static final String BUNDLE_NAME = "org.txm.annotation.kr.rcp.messages.messages"; //$NON-NLS-1$
+	
+	public static String savingP0Annotations;
+
+	public static Throwable annotationSuccesfullyWritten;
+
+	public static String savingAnnotations;
+
+	public static String annotationSuccesfullyWrittenIntheP0File;
+	
+	static {
+		// initialize resource bundle
+		Utf8NLS.initializeMessages(BUNDLE_NAME, KRAnnotationCoreMessages.class);
+	}
+
+	private KRAnnotationCoreMessages() {
+	}
+	
+	
+}

Property changes on: tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/messages/KRAnnotationCoreMessages.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/messages/messages_fr.properties
===================================================================
--- tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/messages/messages_fr.properties	(revision 0)
+++ tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/messages/messages_fr.properties	(revision 1610)
@@ -0,0 +1,4 @@
+savingP0Annotations=Enregistrement de {0} annotations...
+annotationSuccessfullyWritten=Annotations enregistrées.
+savingAnnotations=Enregistrement des annotations
+annotationSuccesfullyWrittenIntheP0File=Annotations enregistrées dans le fichier {0}.
\ No newline at end of file

Property changes on: tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/messages/messages_fr.properties
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/messages/messages.properties
===================================================================
--- tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/messages/messages.properties	(revision 0)
+++ tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/messages/messages.properties	(revision 1610)
@@ -0,0 +1,4 @@
+savingP0Annotations=Saving {0} annotations...
+annotationSuccessfullyWritten=Annotations successfully written.
+savingAnnotations=Saving annotations
+annotationSuccesfullyWrittenIntheP0File=Annotations successfully written in the {0} file.
\ No newline at end of file

Property changes on: tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/messages/messages.properties
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/repository/LocalKnowledgeRepository.java
===================================================================
--- tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/repository/LocalKnowledgeRepository.java	(revision 1609)
+++ tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/repository/LocalKnowledgeRepository.java	(revision 1610)
@@ -7,8 +7,8 @@
 
 import org.txm.Toolbox;
 import org.txm.annotation.kr.core.DatabasePersistenceManager;
-import org.txm.core.preferences.TBXPreferences;
 import org.txm.sql.SQLConnection;
+import org.txm.utils.logger.Log;
 
 public class LocalKnowledgeRepository extends KnowledgeRepository {
 
@@ -28,13 +28,13 @@
 		String path = accessProperties.get(SQLConnection.SQL_ADDRESS);
 		if (path == null || path.trim().length() == 0) { // no address, forge one 
 			path = Toolbox.getTxmHomePath()+"/repositories/"+getName();
-			System.out.println("No address given to build values. No values created");
+			Log.finest("No address given to build values. No values created");
 			return true;
 		}
 		currentDirectory = new File(path);
 
 		if (!currentDirectory.exists()) {
-			System.out.println("Values address given does not exists: "+currentDirectory);
+			Log.finest("Values address given does not exists: "+currentDirectory);
 			return false;
 		}
 		try {
@@ -58,7 +58,7 @@
 						}
 
 						if (values.contains(val.getPK().getId())) {
-							System.out.println("WARNING: duplicate '"+val.getId()+"' value ID in '"+type+"' type of '"+name+"' knowledge repository. Ignoring the value.");
+							Log.warning("WARNING: duplicate '"+val.getId()+"' value ID in '"+type+"' type of '"+name+"' knowledge repository. Ignoring the value.");
 						} else {
 							values.add(val.getPK().getId());
 							jpaem.persist(val);	
@@ -76,7 +76,7 @@
 			}
 			return true;
 		} catch(Exception e) {
-			System.out.println("Error while loading types from file: "+currentDirectory);
+			Log.severe("Error while loading types from file: "+currentDirectory);
 			e.printStackTrace();
 			return false;
 		}
Index: tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/repository/KnowledgeRepository.java
===================================================================
--- tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/repository/KnowledgeRepository.java	(revision 1609)
+++ tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/repository/KnowledgeRepository.java	(revision 1610)
@@ -71,7 +71,7 @@
 	 * @return
 	 */
 	public EntityManager initializeEntityManager(){
-		this.dbPath = Toolbox.getTxmHomePath()+"/repositories/"+name;
+		this.dbPath = new File(Toolbox.getTxmHomePath(), "repositories/"+name).getAbsolutePath();
 		//System.out.println("KnowledgeRepository.initializeEntityManager [DB @ "+dbPath+"]");
 		EntityManagerFactory emf;
 		HashMap<String, Object> properties = new HashMap<String, Object>();
Index: tmp/org.txm.treetagger.core/src/org/txm/treetagger/core/TreeTaggerEngine.java
===================================================================
--- tmp/org.txm.treetagger.core/src/org/txm/treetagger/core/TreeTaggerEngine.java	(revision 1609)
+++ tmp/org.txm.treetagger.core/src/org/txm/treetagger/core/TreeTaggerEngine.java	(revision 1610)
@@ -25,13 +25,13 @@
 		
 		ttBinaryDirectory = new File(TreeTaggerPreferences.getInstance().getString(TreeTaggerPreferences.INSTALL_PATH)+"/bin/");
 		if (!ttBinaryDirectory.exists()) {
-			System.out.println(NLS.bind("** Error: path to TreeTagger software is wrong: {0}.", ttBinaryDirectory));
+			System.out.println(NLS.bind("** Error: TreeTagger software not found in the {0} directory.", ttBinaryDirectory));
 			return false;
 		}
 		
 		ttModelsDirectory = new File(TreeTaggerPreferences.getInstance().getString(TreeTaggerPreferences.MODELS_PATH));
 		if (!ttModelsDirectory.exists()) {
-			System.out.println(NLS.bind("** Error: path to TreeTagger models directory is wrong: {0}.", ttModelsDirectory));
+			System.out.println(NLS.bind("** Error: TreeTagger models not found in the {0} directory.", ttModelsDirectory));
 			return false;
 		}
 		
Index: tmp/org.txm.core/src/java/org/txm/importer/ApplyXsl2.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/importer/ApplyXsl2.java	(revision 1609)
+++ tmp/org.txm.core/src/java/org/txm/importer/ApplyXsl2.java	(revision 1610)
@@ -71,6 +71,7 @@
 
 import net.sf.saxon.TransformerFactoryImpl;
 
+import org.eclipse.osgi.util.NLS;
 import org.txm.stat.utils.ConsoleProgressBar;
 import org.txm.utils.Diff;
 import org.txm.utils.io.FileCopy;
@@ -144,11 +145,11 @@
 		System.setProperty("javax.xml.transform.TransformerFactory", "net.sf.saxon.TransformerFactoryImpl");
 
 		tFactory = new net.sf.saxon.TransformerFactoryImpl();
-		Log.info("new tFactory: "+tFactory);
+		//Log.info("new tFactory: "+tFactory);
 		tFactory.getConfiguration().registerExtensionFunction(new SaxonNodeSet());
-		Log.info("ApplyXsl2 from file: "+xsltfile);
+		Log.info(NLS.bind("ApplyXsl2 with the {0} stylesheet.", xsltfile));
 		reload();
-		Log.info("new transformer: "+transformer);
+		//Log.info("new transformer: "+transformer);
 	}
 
 	/**
Index: tmp/org.txm.core/src/java/org/txm/objects/Project.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/objects/Project.java	(revision 1609)
+++ tmp/org.txm.core/src/java/org/txm/objects/Project.java	(revision 1610)
@@ -297,7 +297,7 @@
 
 			Log.finest("RUNNING IMPORT MODULE WITH NAME = " + getImportModuleName());
 
-			// This step could be done only if the compiler step if done and only if it modifying/deleteing the corpus builds
+			// This step could be done only if the compiler step if done and only if it modifying/deleting the corpus builds
 			for (CorpusBuild corpus : getCorpusBuilds()) {
 				if (corpus != null) {
 					corpus.deleteChildren(null); // remove all Corpus results
Index: tmp/TXMReleasePlugins.site/site.xml
===================================================================
--- tmp/TXMReleasePlugins.site/site.xml	(revision 1609)
+++ tmp/TXMReleasePlugins.site/site.xml	(revision 1610)
@@ -9,9 +9,6 @@
    <feature url="features/org.txm.wordcloud.feature_1.0.0.1576.jar" id="org.txm.wordcloud.feature" version="1.0.0.1576">
       <category name="Commands"/>
    </feature>
-   <feature url="features/org.txm.rcp.feature_0.8.0.1576.jar" id="org.txm.rcp.feature" version="0.8.0.1576">
-      <category name="org.txm.platform"/>
-   </feature>
    <feature url="features/org.txm.treetagger.binaries.feature_1.0.0.1576.jar" id="org.txm.treetagger.binaries.feature" version="1.0.0.1576">
       <category name="Annotation"/>
    </feature>
@@ -25,6 +22,5 @@
       <category name="Annotation"/>
    </feature>
    <category-def name="Commands" label="Commands"/>
-   <category-def name="org.txm.platform" label="TXM Platform"/>
    <category-def name="Annotation" label="Annotation"/>
 </site>
Index: tmp/org.txm.rcp/rcpapplication.product
===================================================================
--- tmp/org.txm.rcp/rcpapplication.product	(revision 1609)
+++ tmp/org.txm.rcp/rcpapplication.product	(revision 1610)
@@ -289,6 +289,27 @@
       <feature id="org.eclipse.equinox.p2.user.ui"/>
       <feature id="org.eclipse.equinox.p2.extras.feature"/>
       <feature id="org.eclipse.ecf.filetransfer.ssl.feature"/>
+      <feature id="org.txm.ca.feature"/>
+      <feature id="org.txm.chartsengine.jfreechart.feature"/>
+      <feature id="org.txm.searchengine.cqp.feature"/>
+      <feature id="org.txm.annotation.feature"/>
+      <feature id="org.txm.statsengine.r.feature"/>
+      <feature id="org.txm.edition.feature"/>
+      <feature id="org.txm.lexicaltable.feature"/>
+      <feature id="org.txm.internalview.feature"/>
+      <feature id="org.txm.partition.feature"/>
+      <feature id="org.txm.concordance.feature"/>
+      <feature id="org.txm.index.feature"/>
+      <feature id="org.txm.ahc.feature"/>
+      <feature id="org.txm.groovy.feature"/>
+      <feature id="org.txm.specificities.feature"/>
+      <feature id="org.txm.progression.feature"/>
+      <feature id="org.txm.treetagger.feature"/>
+      <feature id="org.txm.properties.feature"/>
+      <feature id="org.txm.referencer.feature"/>
+      <feature id="org.txm.chartsengine.r.feature"/>
+      <feature id="org.txm.cooccurrence.feature"/>
+      <feature id="org.txm.annotation.kr.feature"/>
    </features>
 
    <configurations>
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/corpuswizard/ImportWizard.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/corpuswizard/ImportWizard.java	(revision 1609)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/corpuswizard/ImportWizard.java	(revision 1610)
@@ -1,6 +1,7 @@
 package org.txm.rcp.corpuswizard;
 
 import java.io.File;
+import java.util.Calendar;
 import java.util.Locale;
 
 import org.eclipse.jface.viewers.IStructuredSelection;
@@ -9,8 +10,10 @@
 import org.eclipse.ui.INewWizard;
 import org.eclipse.ui.IWorkbench;
 import org.txm.Toolbox;
+import org.txm.core.results.TXMResult;
 import org.txm.objects.EditionDefinition;
 import org.txm.objects.Project;
+import org.txm.rcp.messages.TXMUIMessages;
 
 public class ImportWizard extends Wizard implements INewWizard {
 
@@ -60,11 +63,11 @@
 						project = new Project(Toolbox.workspace, name);
 					}
 					project.setSourceDirectory(path.getAbsolutePath());
-					project.setDescription(page1.getDescription());
+					project.setDescription(System.getProperty("user.name")+"\n"+TXMResult.PRETTY_LOCALIZED_TIME_FORMAT.format(Calendar.getInstance().getTime()));
 					project.setLang(Locale.getDefault().getCountry());
-					System.out.println(NLS.bind("The {0} corpus will be created.", project));
+					System.out.println(NLS.bind(TXMUIMessages.theP0CorpusWillBeCreatedFromTheP1Directory, project.getName(), project.getProjectDirectory()));
 				} else {
-					System.out.println(NLS.bind("The {0} ({1}) corpus will be replaced.", project, project.getLastComputingDate()));
+					System.out.println(NLS.bind(TXMUIMessages.theP1P0CorpusWillBeReplaced, project, project.getLastComputingDate()));
 				}
 				
 				//project.compute(); // create/update files
@@ -78,7 +81,7 @@
 				
 				File importxml = new File(page1.getSourcePath(), "import.xml");
 				if (importxml.exists()) {
-					System.out.println("Warning: old TXM source directory containing an import.xml file found. Settings import parameters using this file.");
+					//System.out.println("Warning: old TXM source directory containing an import.xml file found. Settings import parameters using this file.");
 					//BaseOldParameters params = new BaseOldParameters(importxml);
 					//project._load(params);
 				}
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/corpuswizard/SourceDirectoryPage.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/corpuswizard/SourceDirectoryPage.java	(revision 1609)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/corpuswizard/SourceDirectoryPage.java	(revision 1610)
@@ -39,7 +39,7 @@
 	public SourceDirectoryPage() {
 		super("Select source directory");
 		setTitle("Sources");
-		setDescription("The source directory contains the sources files.");
+		setDescription("The source directory contains the sources files read by the import module.");
 	}
 
 	@Override
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/corpuswizard/ProjectNamePage.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/corpuswizard/ProjectNamePage.java	(revision 1609)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/corpuswizard/ProjectNamePage.java	(revision 1610)
@@ -1,10 +1,7 @@
 package org.txm.rcp.corpuswizard;
 
-import org.eclipse.core.resources.ResourcesPlugin;
 import org.eclipse.jface.wizard.WizardPage;
 import org.eclipse.swt.SWT;
-import org.eclipse.swt.events.KeyEvent;
-import org.eclipse.swt.events.KeyListener;
 import org.eclipse.swt.events.ModifyEvent;
 import org.eclipse.swt.events.ModifyListener;
 import org.eclipse.swt.events.SelectionEvent;
@@ -16,7 +13,6 @@
 import org.eclipse.swt.widgets.DirectoryDialog;
 import org.eclipse.swt.widgets.Label;
 import org.eclipse.swt.widgets.Text;
-import org.txm.core.preferences.TXMPreferences;
 import org.txm.rcp.preferences.RCPPreferences;
 
 public class ProjectNamePage extends WizardPage {
@@ -29,7 +25,7 @@
     public ProjectNamePage() {
         super("Select source directory");
         setTitle("Sources");
-        setDescription("The source directory contains the sources files.");
+        setDescription("The source directory contains the sources files read by the import module.");
     }
 
     @Override
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/fileexplorer/Explorer.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/fileexplorer/Explorer.java	(revision 1609)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/fileexplorer/Explorer.java	(revision 1610)
@@ -202,8 +202,9 @@
 		homeBtn.setLayoutData(widgetData);
 
 		// the explorer
-		tv = new TreeViewer(parent);
+		tv = new TreeViewer(parent, SWT.VIRTUAL);
 		tv.setContentProvider(new FileTreeContentProvider());
+		tv.setUseHashlookup(true);
 		tv.setLabelProvider(new FileTreeLabelProvider());
 		tv.setInput(new File(currentPath));
 
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/fileexplorer/FileTreeContentProvider.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/fileexplorer/FileTreeContentProvider.java	(revision 1609)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/fileexplorer/FileTreeContentProvider.java	(revision 1610)
@@ -33,11 +33,9 @@
 
 import org.eclipse.jface.viewers.ITreeContentProvider;
 import org.eclipse.jface.viewers.Viewer;
-import org.txm.core.preferences.TXMPreferences;
 import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.preferences.RCPPreferences;
 
-// TODO: Auto-generated Javadoc
 /**
  * The Class FileTreeContentProvider.
  */
@@ -45,19 +43,25 @@
 	
 	protected Pattern p = null;
 	
+	public FileTreeContentProvider() {
+		super();
+		
+		String regex = RCPPreferences.getInstance().getString(RCPPreferences.FILES_TO_HIDE);
+		p = null;
+		try {
+			p = Pattern.compile(regex);
+		} catch(Exception e) { System.out.println(TXMUIMessages.fileExplorerColonIncorrectPattern+regex+TXMUIMessages.eRROR+e);}
+		
+	}
+	
 	/* (non-Javadoc)
 	 * @see org.eclipse.jface.viewers.ITreeContentProvider#getChildren(java.lang.Object)
 	 */
 	@Override
 	public Object[] getChildren(Object element) {
-		String regex = RCPPreferences.getInstance().getString(RCPPreferences.FILES_TO_HIDE);
 		final boolean showHidden = RCPPreferences.getInstance().getBoolean(RCPPreferences.SHOW_HIDDEN_FILES);
+		
 		//final boolean showFolder = RCPPreferences.getInstance().getBoolean(RCPPreferences.SHOW_FOLDERS);
-		p = null;
-		try {
-		p = Pattern.compile(regex);
-		} catch(Exception e) { System.out.println(TXMUIMessages.fileExplorerColonIncorrectPattern+regex+TXMUIMessages.eRROR+e);}
-		
 		Object[] kids = ((File) element).listFiles(new FileFilter() {	
 			@Override
 			public boolean accept(File file) {
@@ -111,6 +115,7 @@
 	 */
 	@Override
 	public void dispose() {
+		
 	}
 
 	/* (non-Javadoc)
@@ -118,5 +123,6 @@
 	 */
 	@Override
 	public void inputChanged(Viewer viewer, Object old_input, Object new_input) {
+		
 	}
 }
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/fileexplorer/LazyFileTreeContentProvider.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/fileexplorer/LazyFileTreeContentProvider.java	(revision 0)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/fileexplorer/LazyFileTreeContentProvider.java	(revision 1610)
@@ -0,0 +1,60 @@
+package org.txm.rcp.views.fileexplorer;
+
+import java.io.File;
+
+import org.eclipse.jface.viewers.ILazyTreePathContentProvider;
+import org.eclipse.jface.viewers.TreePath;
+import org.eclipse.jface.viewers.TreeViewer;
+
+public class LazyFileTreeContentProvider implements ILazyTreePathContentProvider {
+
+	TreeViewer viewer;
+	
+	public LazyFileTreeContentProvider(TreeViewer viewer) {
+		this.viewer = viewer;
+	}
+	
+	@Override
+	public void updateElement(TreePath parentPath, int index) {
+		Object o = parentPath.getFirstSegment();
+		if (o instanceof File) {
+			
+		} else {
+			
+		}
+	}
+
+	@Override
+	public void updateChildCount(TreePath path, int currentChildCount) {
+		Object o = path.getFirstSegment();
+		if (o instanceof File) {
+			File f = (File)o;
+			File[] files = f.listFiles();
+			if (files != null) {
+				viewer.setChildCount(path, files.length);
+			}
+		} else {
+			viewer.setChildCount(path, 0);
+		}
+	}
+
+	@Override
+	public void updateHasChildren(TreePath path) {
+		Object o = path.getFirstSegment();
+		if (o instanceof File) {
+			viewer.setHasChildren(path, (((File)o).isDirectory()));
+		} else {
+			viewer.setHasChildren(path, false);
+		}
+	}
+
+	@Override
+	public TreePath[] getParents(Object o) {
+//		if (o instanceof File) {
+//			return new TreePath[0];
+//		} else {
+//			return new TreePath[0];
+//		}
+		return null;
+	}
+}

Property changes on: tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/fileexplorer/LazyFileTreeContentProvider.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/TXMUIMessages.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/TXMUIMessages.java	(revision 1609)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/TXMUIMessages.java	(revision 1610)
@@ -500,9 +500,13 @@
 	public static String wrongInput; 
 	public static String youMustSelectAtLeast2Comparators; 
 	public static String zoomInAmpoutColonMouseWheelORShiftPlusRightMousePlusDrag; 
-	public static String zoomToSelectionColonCtrlPlusLeftMousePlusdrag; 
+	public static String zoomToSelectionColonCtrlPlusLeftMousePlusdrag;
 
+	public static String theP0CorpusWillBeCreatedFromTheP1Directory;
 
+	public static String theP1P0CorpusWillBeReplaced; 
+
+
 	
 	static {
 		// initialize resource bundle
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages.properties
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages.properties	(revision 1609)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages.properties	(revision 1610)
@@ -971,3 +971,7 @@
 zoomInAmpoutColonMouseWheelORShiftPlusRightMousePlusDrag = \	Zoom +/-: Mouse wheel OR Shift + Right Mouse + Drag\n
 
 zoomToSelectionColonCtrlPlusLeftMousePlusdrag = \	Zoom to selection: Ctrl + Left Mouse + Drag\n
+
+theP0CorpusWillBeCreatedFromTheP1Directory=The {0} corpus will be created from the {1} directory.
+
+theP1P0CorpusWillBeReplaced=The {0} ({1}) corpus will be replaced.
\ No newline at end of file
